Package org.gradle.tooling.events

# Interface StartEvent

All Superinterfaces:
  `ProgressEvent`

All Known Subinterfaces:
  `BuildPhaseStartEvent`, `FileDownloadStartEvent`, `ProjectConfigurationStartEvent`, `TaskStartEvent`, `TestStartEvent`, `TransformStartEvent`, `WorkItemStartEvent`

public interface StartEvent extends ProgressEvent
An event that informs about an operation having started its execution.

Since:
  2.4

- ## Method Summary

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDescriptor, getDisplayName, getEventTime`